namespace InABox.Logikal
{
    public class LogikalBOMResponse<TProfile, TComponent, TGlass, TLabour> : LogikalResponse
        where TProfile : ILogikalProfile
        where TComponent : ILogikalComponent
        where TGlass : ILogikalGlass
        where TLabour : ILogikalLabour
    {
        public override LogikalMethod Method() => LogikalMethod.BOM;

        public TProfile[] Profiles { get; set; }

        public TComponent[] Components { get; set; }

        public TGlass[] Glass { get; set; }

        public TLabour[] Labour { get; set; }

        public byte[] ExcelData { get; set; }

        public override string ToString() => $"{Profiles?.Length ?? 0} Profiles / {Components?.Length ?? 0} Components found";
    }
}